# $Revision: 1.28 $, $Date: 2011/10/15 07:02:11 $
# TODO: java, perl, python bindings (not ready in sources)
Summary:	libical library
Summary(pl.UTF-8):	Biblioteka libical
Name:		libical
Version:	0.47
Release:	1
License:	MPL 1.1 or LGPL v2.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/freeassociation/%{name}-%{version}.tar.gz
# Source0-md5:	21f7f8a21e3d857c9476be732e52dc32
Patch0:		%{name}-as_needed.patch
Patch1:		%{name}-cxx.patch
URL:		http://freeassociation.sourceforge.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	perl-base
#BuildRequires:	python
# swig for python bindings
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.

%description -l pl.UTF-8
Libical jest implementacją Open Source protokołów IETF iCalendar
Calendaring oraz iCalendar Scheduling (RFC 2445, 2446 i 2447).
Biblioteka ta analizuje składniki iCal i udostępnia API w C do obróbki
opcji, parametrów i podkomponentów w komponentach iCal.

%package devel
Summary:	libical header files
Summary(pl.UTF-8):	Pliki nagłówkowe libical
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libical header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libical.

%package static
Summary:	libical static library
Summary(pl.UTF-8):	Statyczna biblioteka libical
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libical library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libical.

%package c++
Summary:	C++ bindings for libical libraries
Summary(pl.UTF-8):	Wiązania C++ dla bibliotek libical
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
C++ bindings for libical libraries.

%description c++ -l pl.UTF-8
Wiązania C++ dla bibliotek libical.

%package c++-devel
Summary:	Header files for libical C++ bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań C++ dla bibliotek libical
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for libical C++ bindings.

Pliki nagłówkowe wiązań C++ dla bibliotek libical.

%package c++-static
Summary:	Static libraries of libical C++ bindings
Summary(pl.UTF-8):	Statyczne biblioteki wiązań C++ dla bibliotek libical
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static libraries of libical C++ bindings.

%description c++-static -l pl.UTF-8
Statyczne biblioteki wiązań C++ dla bibliotek libical.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-cxx
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libical.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libical.so.0
%attr(755,root,root) %{_libdir}/libicalss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicalss.so.0
%attr(755,root,root) %{_libdir}/libicalvcal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicalvcal.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/UsingLibical*
%attr(755,root,root) %{_libdir}/libical.so
%attr(755,root,root) %{_libdir}/libicalss.so
%attr(755,root,root) %{_libdir}/libicalvcal.so
%{_libdir}/libical.la
%{_libdir}/libicalss.la
%{_libdir}/libicalvcal.la
%{_pkgconfigdir}/libical.pc
%{_includedir}/ical.h
%dir %{_includedir}/libical
# libical
%{_includedir}/libical/ical.h
%{_includedir}/libical/icalarray.h
%{_includedir}/libical/icalattach.h
%{_includedir}/libical/icalcomponent.h
%{_includedir}/libical/icalderivedparameter.h
%{_includedir}/libical/icalderivedproperty.h
%{_includedir}/libical/icalderivedvalue.h
%{_includedir}/libical/icalduration.h
%{_includedir}/libical/icalenums.h
%{_includedir}/libical/icalerror.h
%{_includedir}/libical/icallangbind.h
%{_includedir}/libical/icalmemory.h
%{_includedir}/libical/icalmime.h
%{_includedir}/libical/icalparameter.h
%{_includedir}/libical/icalparser.h
%{_includedir}/libical/icalperiod.h
%{_includedir}/libical/icalproperty.h
%{_includedir}/libical/icalrecur.h
%{_includedir}/libical/icalrestriction.h
%{_includedir}/libical/icaltime.h
%{_includedir}/libical/icaltimezone.h
%{_includedir}/libical/icaltypes.h
%{_includedir}/libical/icaltz-util.h
%{_includedir}/libical/icalvalue.h
%{_includedir}/libical/pvl.h
%{_includedir}/libical/sspm.h
# libicalss
%{_includedir}/libical/icalcalendar.h
%{_includedir}/libical/icalclassify.h
%{_includedir}/libical/icalcluster.h
%{_includedir}/libical/icaldirset.h
%{_includedir}/libical/icaldirsetimpl.h
%{_includedir}/libical/icalfileset.h
%{_includedir}/libical/icalfilesetimpl.h
%{_includedir}/libical/icalgauge.h
%{_includedir}/libical/icalgaugeimpl.h
%{_includedir}/libical/icalmessage.h
%{_includedir}/libical/icalset.h
%{_includedir}/libical/icalspanlist.h
%{_includedir}/libical/icalss.h
%{_includedir}/libical/icalssyacc.h
# libicalvcal
%{_includedir}/libical/icalvcal.h
%{_includedir}/libical/port.h
%{_includedir}/libical/vcaltmp.h
%{_includedir}/libical/vcc.h
%{_includedir}/libical/vobject.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libical.a
%{_libdir}/libicalss.a
%{_libdir}/libicalvcal.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libical_cxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libical_cxx.so.0
%attr(755,root,root) %{_libdir}/libicalss_cxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicalss_cxx.so.0

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libical_cxx.so
%attr(755,root,root) %{_libdir}/libicalss_cxx.so
%{_libdir}/libical_cxx.la
%{_libdir}/libicalss_cxx.la
%{_includedir}/libical/icalparameter_cxx.h
%{_includedir}/libical/icalproperty_cxx.h
%{_includedir}/libical/icalvalue_cxx.h
%{_includedir}/libical/icptrholder.h
%{_includedir}/libical/vcomponent.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libical_cxx.a
%{_libdir}/libicalss_cxx.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libical.spec,v $
Revision 1.28  2011/10/15 07:02:11  qboosh
- updated to 0.47

Revision 1.27  2011/01/22 22:49:15  sparky
- BR: libstdc++-devel

Revision 1.26  2010/09/05 08:49:55  qboosh
- updated to 0.46
- updated as-needed patch
- added cxx patch (extern "C", fixes C++ linking with libicalss)

Revision 1.25  2009/03/07 14:15:47  megabajt
- updated to 0.43

Revision 1.24  2008/09/17 07:34:06  arekm
- up to 0.33

Revision 1.23  2008/09/02 19:39:36  qboosh
- updated as-needed patch
- build C++ bindings

Revision 1.22  2008/09/02 06:26:35  arekm
- up to 0.32

Revision 1.21  2008/07/11 19:15:56  qboosh
- updated to 0.31

Revision 1.20  2007/12/18 23:43:52  zbyniu
- parallel build now possible

Revision 1.19  2007-10-25 18:02:50  qboosh
- more verbose files
- package data (zoneinfo)

Revision 1.18  2007/10/20 00:05:16  wolvverine
- change URL

Revision 1.17  2007/10/20 00:02:43  wolvverine
- up to 0.27, change URL

Revision 1.16  2007/09/28 15:46:14  sls
- added as_needed.patch
- libtoolize, aclocal, automake, autoconf
- __make -j1
- added TODO

Revision 1.15  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.13  2006/08/24 21:45:18  aredridel
- copy config.sub for amd64

Revision 1.12  2005/06/26 23:36:30  saq
- typo in configure options
- swig is not BRed

Revision 1.11  2005/05/20 21:54:04  qboosh
- mark RC in release, strict internal deps

Revision 1.10  2005/05/17 22:10:25  wolvverine
- up version to 0.24.RC4
- STBR

Revision 1.9  2004/12/23 14:25:34  darekr
- BR: perl -> perl-base

Revision 1.8  2003/12/21 02:02:33  domelu
- up to 0.23a

Revision 1.7  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.6  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/08/18 13:36:39  blues
- release 0.2 - license fix

Revision 1.2  2002/07/30 11:54:47  qboosh
- fixed Groups, more descriptions

Revision 1.1  2002/07/26 14:32:47  wiget
- initial release need more hackery
